# Uses of Class
org.jboss.logging.processor.generator.model.ClassModel

Packages that use ClassModel
Package
Description
org.jboss.logging.processor.generator.model

## Uses of ClassModel in org.jboss.logging.processor.generator.model

Methods in org.jboss.logging.processor.generator.model that return ClassModel
Modifier and Type
Method
Description
`static ClassModel`
ClassModelFactory.`implementation(ProcessingEnvironment processingEnv, MessageInterface messageInterface)`
Creates an implementation code model from the message interface.
`static ClassModel`
ClassModelFactory.`translation(ProcessingEnvironment processingEnv, MessageInterface messageInterface, String translationSuffix, Map<MessageMethod,String> translations)`
Creates a class model for created translation implementations of the message interface.